<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Button Hover Color</title>
    <link rel="stylesheet" type="text/css" href="style.css" \>
    <script src="https://kit.fontawesome.com/c4fecd9331.js" crossorigin="anonymous" defer></script>
</head>

<body>
    <h1>Background Color Switch based on Button Hover (HTML/CSS/JS)</h1>
    <section class="button-container">
        <button class="message" data-hover-color="#a93232f4" data-base-color="#7a7a7a">
            <span class="fa-solid fa-comment-dots"></span>
        </button>
        <button class="about" data-hover-color="#32a934f4" data-base-color="#7a7a7a">
            <span class="fa-solid fa-user"></span>
        </button>
        <button class="location" data-hover-color="#49be1ba3" data-base-color="#7a7a7a">
            <span class="fa-solid fa-location-dot"></span>
        </button>
        <button class="settings" data-hover-color="#862f7df4" data-base-color="#7a7a7a">
            <span class="fa-solid fa-gear"></span>
        </button>
    </section>
    <script src="./script.js"></script>
</body>

</html>